apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  namespace: teamcity
  name: teamcity-ingress
  annotations:
    #kubernetes.io/ingress.class: "nginx"
    nginx.org/proxy-connect-timeout: 30s
    cert-manager.k8s.io/cluster-issuer: letsencrypt-staging
    acme.cert-manager.io/http01-edit-in-place: "true"
    nginx.org/redirect-to-https: "false"
spec:
  tls:
  - hosts:
    - teamcity.services.devops.flyingsource.net
    secretName: teamcity-app-cert-secret
  ingressClassName: nginx
  rules:
  - host: teamcity.services.devops.flyingsource.net
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: teamcity-service
            port:
              number: 80
